=== debian/changelog ===
mozjs24 (24.2.0-6ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - rename library packages for g++5 ABI transition.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 18 Sep 2017 09:58:47 +0200

mozjs24 (24.2.0-6) unstable; urgency=low

  * Backport initialization segfaults on Sparc64 fixes (closes: #827815).
  * Fix FTBFS with GCC 7 (closes: #853559).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 17 Sep 2017 20:58:23 +0000

mozjs24 (24.2.0-5.1ubuntu1) zesty; urgency=medium

  * Sync with Debian unstable. Remaining change:
    - rename library packages for g++5 ABI transition.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 08 Jan 2017 18:07:50 -0500

mozjs24 (24.2.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Manually mmap on arm64 to ensure high 17 bits are clear (Closes: #839050,
    thanks to Zheng Xu)

 -- Ben Hutchings <ben@decadent.org.uk>  Sat, 07 Jan 2017 01:42:14 +0000

mozjs24 (24.2.0-5) unstable; urgency=low

  * Revert fix for ARM64 crashes, causes even more problems (closes: #847542).

  [ John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de> ]
  * Add support for m68k (closes: #847525).

  [ Adam Borowski <kilobyte@angband.pl> ]
  * Disable JS JIT on x32 to make SpiderMonkey build (closes: #777502).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 09 Dec 2016 22:57:52 +0000

mozjs24 (24.2.0-4) unstable; urgency=low

  * Backport upstream fix for ARM64 crashes (closes: #839050).
  * Add Multi-Arch field to libmozjs-24-0 and its -dbg variant
    (closes: #760757).
  * Update homepage (closes: #844257).
  * Set SHELL for running configure.
  * Update Standards-Version to 3.9.8 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 08 Dec 2016 19:04:08 +0000

mozjs24 (24.2.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove not needed Build-Conflicts, that are now cousing uninstallability
    of the Build-Depends.  Closes: #813749
  * Add patch (taken from Ubuntu) to fix build with perl 5.22.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 06 Jul 2016 22:33:32 +0000

mozjs24 (24.2.0-3) unstable; urgency=low

  * Update Standards-Version to 3.9.6 .

  [ Pino Toscano <pino@debian.org> ]
  * Fix FTBFS on Hurd (closes: #756218).

  [ John David Anglin <dave.anglin@bell.net> ]
  * Fix FTBFS on HPPA (closes: #757067).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 02 May 2015 13:39:40 +0000

mozjs24 (24.2.0-2) unstable; urgency=low

  * Make shlibs fix unconditional of Operating System (closes: #746705).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 02 May 2014 22:20:45 +0200

mozjs24 (24.2.0-1) unstable; urgency=low

  * Initial upload to Debian (closes: #739132).
  * libmozjs-24-dev doesn't need ${shlibs:Depends} dependency.
  * Add DEB_BUILD_OPTIONS nocheck option to disable build time tests.
  * Look for 24.x upstream releases only in debian/watch .
  * Update Standards-Version to 3.9.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 27 Feb 2014 11:55:01 +0000

mozjs24 (24.2.0-0ubuntu2) trusty; urgency=medium

  * Drop debian/docs, which references files we no longer ship.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 14 Feb 2014 22:27:00 -0700

mozjs24 (24.2.0-0ubuntu1) trusty; urgency=medium

  [ Tim Lunn ]
  * New upstream release (LP: #1279175)
  * Bump packaging to mozjs24
  * debian/rules:
    - Disable intl-api
  * debian/control:
    - Bump build-dep on libnspr4-dev (>= 2:4.9.2)
  * debian/patches/fix-soname.patch: Refreshed
  * debian/watch: added

  [ Dmitry Shachnev ]
  * Update package descriptions.
  * Make all packages except dbg ones Priority: optional.
  * debian/copyright: Upgrade to 1.0 format, add python-which license,
    remove unused MPL-1.1 license.

 -- Tim Lunn <tim@feathertop.org>  Wed, 11 Feb 2014 21:55:34 +1100

mozjs17 (17.0.0-1ubuntu1) trusty; urgency=medium

  * Apply openSUSE patch to add arm64 support.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 03 Jan 2014 11:32:13 +0000

mozjs17 (17.0.0-1) unstable; urgency=low

  * Initial release (closes: #709434).
  * Update to debhelper level 9.
  * Convert to multi-arch.
  * Fix copyright .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 18 Sep 2013 12:40:39 +0000

mozjs17 (17.0.0-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1113166)
    - Should noticably improve GNOME Shell performance by fixing
      memory leaks and avoiding garbage collector deadlocks
    - A separate source package is used because some rdepends like couchdb
      won't be ready for this version any time soon
  * Adjust packaging to new firefox versioned releases
  * Drop .symbols files
  * Add -dbg package
  * debian/patches:
    - Dropped all existing patches, they are included in new version
    - fix-soname.patch, added to correct soname for shared library
  * debian/rules:
    - enable parallel build
    - move shared library and create symlinks for standard soname versioning

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Sat, 25 May 2013 12:24:23 +0100
