=== debian/control ===
Source: mozjs24
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               libffi-dev,
               libnspr4-dev (>= 2:4.9.2),
               pkg-config,
               pkg-kde-tools,
               python,
               zip
Standards-Version: 3.9.8
Homepage: https://developer.mozilla.org/en-US/docs/Mozilla/Projects/SpiderMonkey/Releases/24

Package: libmozjs-24-0v5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libmozjs-24-0
Replaces: libmozjs-24-0
Description: Spidermonkey JavaScript engine
 SpiderMonkey is the code-name for the Mozilla's C++ implementation of
 JavaScript. It is intended to be embedded in other applications
 that provide host environments for JavaScript.

Package: libmozjs-24-0v5-dbg
Architecture: any
Multi-Arch: same
Section: debug
Priority: extra
Depends: libmozjs-24-0v5 (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libmozjs-24-0-dbg
Replaces: libmozjs-24-0-dbg
Description: Spidermonkey JavaScript engine (debug symbols)
 SpiderMonkey is the code-name for the Mozilla's C++ implementation of
 JavaScript. It is intended to be embedded in other applications
 that provide host environments for JavaScript.
 .
 This package contains the debug symbols.

Package: libmozjs-24-dev
Architecture: any
Section: libdevel
Depends: libmozjs-24-0v5 (= ${binary:Version}),
         libmozjs-24-bin (= ${binary:Version}),
         libffi-dev,
         libnspr4-dev (>= 2:4.9.2),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Spidermonkey JavaScript library - development headers
 SpiderMonkey is the code-name for the Mozilla's C++ implementation of
 JavaScript. It is intended to be embedded in other applications
 that provide host environments for JavaScript.
 .
 This package contains the header files and static library which is
 needed for developing Spidermonkey embedders.

Package: libmozjs-24-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Spidermonkey JavaScript shell
 SpiderMonkey is the code-name for the Mozilla's C++ implementation of
 JavaScript. It is intended to be embedded in other applications
 that provide host environments for JavaScript.
 .
 This package contains js24 JavaScript interpreter.

Package: libmozjs-24-bin-dbg
Architecture: any
Section: debug
Priority: extra
Depends: libmozjs-24-bin (= ${binary:Version}),
         ${misc:Depends}
Description: Spidermonkey JavaScript shell (debug symbols)
 SpiderMonkey is the code-name for the Mozilla's C++ implementation of
 JavaScript. It is intended to be embedded in other applications
 that provide host environments for JavaScript.
 .
 This package contains the debug symbols for the js24 JavaScript
 interpreter.
